Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 148333 (python-2.5) - [TRACKER] Python 2.5 incompatible packages
Summary: [TRACKER] Python 2.5 incompatible packages
Status: RESOLVED FIXED
Alias: python-2.5
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 2 votes (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: Tracker
Depends on: 141068 145241 148277 148278 148336 148362 148398 148399 148422 148495 148505 148545 148656 148726 148727 148728 148833 148863 149001 149064 149068 149106 149138 149139 149223 149623 149807 149963 150000 150002 152478 152700 155658 158510 160653 160811 165032 166612 167595 172557 173617 176914 178743 180039 183977 184174 185516 185533 185548 185819 186410 188067 191789 192858 192902 194932 204278 209857 221267 231384 231386 237214 257545 261330 267346 267347 267348 267351 267353 267355 267356 278167 335251 335253
Blocks: 178800
  Show dependency tree
 
Reported: 2006-09-20 04:33 UTC by Alastair Tse (RETIRED)
Modified: 2017-01-19 18:47 UTC (History)
24 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alastair Tse (RETIRED) gentoo-dev 2006-09-20 04:33:06 UTC
Tracker bug for all packages that need to be fixed before python 2.5 leaves
hard mask.
Comment 1 Christophe Saout 2007-04-24 22:21:28 UTC
I hate to push, but is this thing moving at all?
Comment 2 Bryan Østergaard (RETIRED) gentoo-dev 2007-05-06 10:03:16 UTC
(In reply to comment #1)
> I hate to push, but is this thing moving at all?
> 
Yes, very much so.
Comment 3 Oleg Korsak 2007-05-16 20:28:12 UTC
I think there is only one problem - about numeric... because blender has 2.44 version which supports python 2.5. Also trac ebuild "adjustement" is not python 2.5 problem at all. Also it could be fixed fast. I don't know why devs don't touch it. :( GIVE US 2.5 PLZ ! :)
Comment 4 Oleg Korsak 2007-06-02 14:14:12 UTC
(In reply to comment #0)
> Tracker bug for all packages that need to be fixed before python 2.5 leaves
> hard mask.
> 

HEEEY!! C'MON! If some packages wont build or work - it is their own problems. Also you can mask python-2.5 if these packages are installed already! Just as with xorg-1.3.0.0 and ati-drivers ! Give us 2.5 NOW! :D
Comment 5 Chuck Wegrzyn 2007-06-17 09:55:33 UTC
I find it funny that it has taken almost a year (3 months short of the first filing of this bug) and 2.5 still hasn't been released by Gentoo! 

Not only is Python 2.5 still not out the door but things like wxPython and others are falling way behind! Soon I might as well go to Ubuntu since Gentoo was supposed to be more current!

Too bad.
Comment 6 Chris Bainbridge (RETIRED) gentoo-dev 2007-06-21 13:24:22 UTC
Python 2.5 stabilisation bug is #178800
Comment 7 KingLeonidas 2007-07-04 06:59:32 UTC
Why is Python-2.5 still hardmasked?? The packages that Python-2.5 blocks aren't even installed on my system! Isn't there a way to block on Python-2.5 only if these blocking packages are present/installed? I have a hard time beleiving that the inabilities of trac, numeric, yodl, and genshi are plausible reasons for holding up Python-2.5, the *stable* branch upstream.
Comment 8 Santiago M. Mola (RETIRED) gentoo-dev 2007-07-04 08:58:57 UTC
Patience.

KingLeonidas, you can unmask and upgrade it if you want. But beware, there are probably more broken packages than the ones which have been reported.
Comment 9 Arne Babenhauserheide 2007-07-06 09:05:53 UTC
Bug: 152700
------
Created an attachment (id=122065) [edit]
blender ebuild ready for python 2.5
------

Bug: 166612
------
Created an attachment (id=120758) [edit]
patch to trac-0.10.4 ebuild

Suggested fix to check for sqlite in python 2.5 for trac 0.10.4
------- Comment  #4 From Jack Kelly 2007-06-25 09:11:40 0000  [reply] -------  
These patches appear to have been ignored for 3 and a half weeks. Is there
anything I can do to help this along further?  »
 10:57 
------

Bug: 184174
------
 11:00 See upstream for fix: https://savannah.nongnu.org/bugs/index.php?19998
And launchpad:
https://bugs.launchpad.net/ubuntu/feisty/+source/duplicity/+bug/88617  »
 11:00 Wednesday 05/30/07 at 00:26 UTC, comment #3:
Applied patch from Ubuntu bug 88617. Works now under Python 2.5.  »
------

Bug: 176914
------
From the numeric website:

Numeric was the first arrayobject built for Python.  It has been quite
successful and is used in a wide variety of settings and applications.  
Maintenance has ceased for Numeric, and users should transisition to NumPy as
quickly as possible.  There is a module called numpy.oldnumeric.alter_code1 in
NumPy that can make the transition to NumPy easier (it will automatically
perform the search-and-replace style changes that need to be made to python
code that uses Numeric to make it work with NumPy).

If porting to numpy is this easy, maybe we should just patch the programs that
require numeric and remove it as a dependency.
------



That's the blockers. It seems, only numeric is a problem (with the patches in the bug mostly for amd64), and that has been discontinued and should be replaced by NumPy. 

Which python modules do still use numeric? 
Comment 10 Oleg Korsak 2007-08-05 12:50:48 UTC
Heeeey, c'moooon! ;/
Comment 11 Jack Kelly 2007-08-17 15:20:50 UTC
With things like bug #166612 being stuck in suspended animation, how about just making it possible to cleanly upgrade/downgrade 2.4<->2.5 and make everything that's broken on 2.5 mutual blockers?
Comment 12 Arne Babenhauserheide 2008-02-11 07:33:00 UTC
Please exchange dependency "xapi 0.9.9 doesn't work" (#191789) with "xapi version bump" (#185837). 
Comment 13 Arne Babenhauserheide 2008-02-11 08:23:34 UTC
And #194932 should be removed, because it gets obsoleted by #200151

And for the last missing one (#194932: pygame on amd64 with python 2.5) there's a patch I successfully tested. 

So there are only three things left to do: 

- Test why rekall 2.4.6 isn't in the tree, even though there's an ebuild and a resolved bug for it: #200151

- update the pygame ebuild to apply the patch (ebuild and patch are avaible): #194932

- Update the xapian ebuild to 1.0.5 (ebuilds for xapian and xapian-bindings is avaible, both build for me on amd64): #185837


All of these are things which need a user with sufficient rights, which I am not. 
Comment 14 Olivier Crete (RETIRED) gentoo-dev 2008-04-09 04:50:30 UTC
The only 2 dependencies left here are dev-db/rekall and x11-misc/qterm, and in both cases, the herds dont seem to care much. So I propose we mask them both, so we can get as quickly as possible to stabilizing python 2.5...
Comment 15 Jeroen Roovers (RETIRED) gentoo-dev 2008-04-24 13:15:23 UTC
(In reply to comment #14)
> The only 2 dependencies left here are dev-db/rekall and x11-misc/qterm, and in
> both cases, the herds dont seem to care much. So I propose we mask them both,
> so we can get as quickly as possible to stabilizing python 2.5...

Neither of these packages are keyworded for HPPA. Do Python people mind if I stabilise now (I'm a bit more than fed up with all the delays :). If it's OK, then please explain what else needs to go stable at the same time.
Comment 16 Santiago M. Mola (RETIRED) gentoo-dev 2008-04-30 21:18:47 UTC
These are the ones I've been tracking and will need stabilization for python 2.5 if any arch has a prior version stable:

dev-python/python-bibtext-1.2.3
dev-python/pyvorbis-1.4-r3
dev-libs/xapian-1.0.6
dev-libs/xapian-bindings-1.0.6

But I'm sure there are more (probably someone in the python herd has a complete list).

And also tinyerp should be checked (http://qa.mandriva.com/show_bug.cgi?id=31554). I haven't filed a bug since I don't care enough of that package to test it.
Comment 17 Dirkjan Ochtman gentoo-dev 2011-12-01 11:31:59 UTC
Zope packages have been package masked, so we're done here.